﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace printtopdf
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.Sheets.Count = 4;
            FarPoint.Win.Spread.PrintInfo pf = new FarPoint.Win.Spread.PrintInfo();
            pf.ShowColor = true;
            pf.PrintToPdf = true;
            pf.PdfFileName = @"C:\PDFFILE.PDF";
            pf.Orientation = FarPoint.Win.Spread.PrintOrientation.Portrait;
            pf.SmartPrintPagesTall = 1;
            pf.SmartPrintPagesWide = 1;
            pf.Margin.Top =50;
            pf.Margin.Bottom =5;
            pf.Margin.Left =90;
            pf.Margin.Right =20;
            pf.HeaderHeight =25;
            pf.FooterHeight=10;
            pf.UseSmartPrint = true;
            pf.ShowColumnHeader = FarPoint.Win.Spread.PrintHeader.Hide;
            pf.ShowRowHeader = FarPoint.Win.Spread.PrintHeader.Hide;
            for (int s = 0; s < fpSpread1.Sheets.Count; s++)
            {
                if (s != 2)
                {
                    fpSpread1.Sheets[s].PrintInfo = pf;
                    fpSpread1.Sheets[s].RowCount = 10;
                    fpSpread1.Sheets[s].ColumnCount = 5;
                    for (int r = 0; r < fpSpread1.Sheets[s].RowCount; r++)
                        for (int c = 0; c < fpSpread1.Sheets[0].ColumnCount; c++)
                            fpSpread1.Sheets[s].Cells[r, c].Value = s + r + c;
                }
                else
                {
                    fpSpread1.Sheets[s].RowCount = 1;
                    fpSpread1.Sheets[s].ColumnCount = 1;
                    //fpSpread1.Sheets[0].Cells[0, 0].Value = 1;
                }
            }
            fpSpread1.Sheets[2].Visible = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            fpSpread1.PrintSheet(-1);
        }
    }
}
